import React from 'react'
import { storiesOf, action, linkTo } from '@kadira/storybook'
import {
  App,
  Box,
  Input,
  Pane,
  Content
} from '../components'

export default function formsStory (module) {
  storiesOf('Forms', module)
    .add('usage', () => (
      <App white>
        <Pane white padding={10}>
          <Content markdown>
{`
# Forms (WIP)

General rules for form validation:

* Show validation after submit
* After submit show validation messages onChange
* Avoid negative feedback (red colors, negative tone of voice)
* Show helpful information under a field when necessary
* Clicking labels should focus the corresponding field htmlFor + id
* Be lenient in what you accept

\`\`\`

\`\`\`

`}
          </Content>
        </Pane>
      </App>
    ))
}
